Skip to main content

Get SAML certificate

Using this API, SAML certificates can be fetched for the provided appname.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/saml/credentials?appname={appname}

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/v3_client/saml/secret?appname={appname}
note

API requests must be made over https. Calls made over plain http will fail.

important

At first instance, the client protocol of the app should be updated/changed to saml and make sure Client Signature Required option is enabled so that header of the app carries SAML Keys where the new keys can be generated.

Parameters (Required)​

Parameter NameTypeDescription
appname (Required)StringUnique appName of the application

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataStringAutogenerated UUID certificate

Sample Response​

{
"message": "App certificate fetched successfully",
"status": "OK",
"subSystem": 2,
"data": "MIICmTCCAYECBgF5HUTnBjANBgkqhkiG9w0BAQsFADAQMQ4wDAYDVQQDDAVHcm9vdDAeFw0yMTA0MjkxMDUzNDVaFw0zMTA0MjkxMDU1MjVaMBAxDjAMBgNVBAMMBUdyb290MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAmkupUw7+6Qh0AQObQb8/n3Td3GeNhAcD5bnigtKix1bw8sxPMvjauDBAXIQZTlCWMVFHMyVfaOql01RBaRDw0+du5WHAlcGHrxjwmPJ0uKvweD8"
}

Response Status Information​

Status CodeStatusMessage
200OKApp certificate fetched successfully
401UnauthorizedHTTP 401 Unauthorized
404NOT_FOUNDFailed to get App secret